diff options
author | James Meyer <james.meyer@operamail.com> | 2014-02-16 23:50:45 (GMT) |
---|---|---|
committer | James Meyer <james.meyer@operamail.com> | 2014-02-19 19:03:03 (GMT) |
commit | cdfb9e4bf2706feee766cae336e31ca21a1bd73f (patch) | |
tree | f4770b1abaf07d19701f2b9c0a7b90bc65bcac68 /abs/core/iptables/ip6tables | |
parent | deede5e40d1a8d27388f25a90a1413f269d60a17 (diff) | |
download | linhes_pkgbuild-cdfb9e4bf2706feee766cae336e31ca21a1bd73f.zip linhes_pkgbuild-cdfb9e4bf2706feee766cae336e31ca21a1bd73f.tar.gz linhes_pkgbuild-cdfb9e4bf2706feee766cae336e31ca21a1bd73f.tar.bz2 |
iproute2, iptables, iputils:
update binary path to /usr/bin
refs #961
Diffstat (limited to 'abs/core/iptables/ip6tables')
-rwxr-xr-x | abs/core/iptables/ip6tables | 69 |
1 files changed, 0 insertions, 69 deletions
diff --git a/abs/core/iptables/ip6tables b/abs/core/iptables/ip6tables deleted file mode 100755 index 2d119e3..0000000 --- a/abs/core/iptables/ip6tables +++ /dev/null @@ -1,69 +0,0 @@ -#!/bin/bash - -# source application-specific settings -[ -f /etc/conf.d/iptables ] && . /etc/conf.d/iptables - -# Set defaults if settings are missing -[ -z "$IP6TABLES_CONF" ] && IP6TABLES_CONF=/etc/iptables/ip6tables.rules - -. /etc/rc.conf -. /etc/rc.d/functions - -case "$1" in - start) - if [ ! -f "$IP6TABLES_CONF" ]; then - echo "Cannot load ip6tables rules: $IP6TABLES_CONF is missing!" >&2 - exit 1 - fi - stat_busy "Starting IP6 Tables" - if [ "$IPTABLES_FORWARD" = "1" ]; then - echo 1 >/proc/sys/net/ipv6/conf/default/forwarding - echo 1 >/proc/sys/net/ipv6/conf/all/forwarding - fi - if ck_daemon ip6tables; then - /usr/sbin/ip6tables-restore < $IP6TABLES_CONF - if [ $? -gt 0 ]; then - stat_fail - else - add_daemon ip6tables - stat_done - fi - else - stat_fail - fi - ;; - stop) - stat_busy "Stopping IP6 Tables" - if ! ck_daemon ip6tables; then - fail=0 - for table in $(cat /proc/net/ip6_tables_names); do - ip6tables-restore < /var/lib/iptables/empty-$table.rules - [ $? -gt 0 ] && fail=1 - done - if [ $fail -gt 0 ]; then - stat_fail - else - rm_daemon ip6tables - stat_done - fi - else - stat_fail - fi - ;; - restart) - $0 stop - $0 start - ;; - save) - stat_busy "Saving IP6 Tables" - /usr/sbin/ip6tables-save >$IP6TABLES_CONF - if [ $? -gt 0 ]; then - stat_fail - else - stat_done - fi - ;; - *) - echo "usage: $0 {start|stop|restart|save}" -esac -exit 0 |